//  Diffusion Client Library for iOS, tvOS and OS X / macOS
//
//  Copyright (c) 2016, 2017 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionTopicSchema.h>

@class PTDiffusionFieldMetadata;
@class PTDiffusionStringFieldMetadata;

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Schema for single value topics.
 
 @deprecated Since 6.0. Other single scalar topic types should now be used.
 See PTDiffusionPrimitive.
 
 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionSingleValueTopicSchema : PTDiffusionTopicSchema

/**
 The default metadata used if not is explicitly supplied.

 @since 5.7
 */
+(PTDiffusionStringFieldMetadata *)defaultMetadata;

/**
 The metadata.

 @since 5.7
 */
@property(nonatomic, readonly) PTDiffusionFieldMetadata* metadata;

/**
 Compares the receiver to the given single value topic schema.

 @param singleValueTopicSchema The single value topic schema object with which to compare the receiver.

 @return `YES` if the single value topic schema is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToSingleValueTopicSchema:(nullable PTDiffusionSingleValueTopicSchema *)singleValueTopicSchema;

@end

NS_ASSUME_NONNULL_END
